
import random
from faker import Faker
from faker.providers import BaseProvider

# Custom provider to generate random job titles
class JobTitlesProvider(BaseProvider):
    def job_title(self):
        job_titles = [
            "Software Developer",
            "Data Scientist",
            "Project Manager",
            "UX Designer",
            "Product Manager",
            "Quality Assurance Engineer",
            "System Administrator",
            "Marketing Specialist",
            "Human Resources Manager",
            "Financial Analyst"
        ]
        return random.choice(job_titles)

# Adding the custom provider to the Faker generator
fake = Faker()
fake.add_provider(JobTitlesProvider)

def generate_random_job_title():
    return fake.job_title()

# Code information
